### Function

# Dex app_info_get_default_for_uri_scheme

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_app_info_get_default_for_uri_scheme (
      const char* uri_scheme
    )

#### Description [src]

Wraps `g_app_info_get_default_for_uri_scheme_async()`.

Available since: 1.2

#### Parameters

`uri_scheme`

  Type: `const char*`

  A URI scheme.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GAppInfo` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.